Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454989 - mkrootdev not working under Xen
Summary: mkrootdev not working under Xen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: installer
Version: 4.6
Hardware: i386
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 10:41 UTC by greg matthews
Modified: 2008-08-25 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-25 16:30:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description greg matthews 2008-07-11 10:41:47 UTC
Description of problem:
mkrootdev does not create correct root device.


Version-Release number of selected component (if applicable):
RHEL4.6 iso images


How reproducible:
always. 


Steps to Reproduce:
1. boot iso image from SLES10 using Xen
2. install (works fine)
3. boot installed image - get kernel panic:
  
Actual results:
....
SCSI subsystem initialized
Registering block device major 202
Using cfq io scheduler
 xvda: xvda1 xvda2
 xvdb: unknown partition table
device-mapper: 4.5.5-ioctl (2006-12-01) initialised: dm-devel@redhat.com
Kernel panic - not syncing: Attempted to kill init!


Expected results:
switchroot should find correct root partition

Additional info:
by editing the init script within the initrd and changing it to read:

     ....
     mount -o defaults --ro -t ext3 /dev/VolGroup00/LogVol00 /sysroot
     mount -t tmpfs --bind /dev /sysroot/dev
     sleep 5
     echo Switching to new root
     switchroot /sysroot
     sleep 5
     umount /initrd/dev

results in a clean boot.

Comment 1 greg matthews 2008-07-11 10:43:32 UTC
possibly related to Fedora bug: 212124

Comment 2 greg matthews 2008-07-11 11:24:01 UTC
A workaround in the case of RHEL4 domU on SLES10 is to edit /etc/xen/vm/<name>
and add:

extra=" root=/dev/VolGroup00/LogVol00"

Assuming default LVM naming.

Comment 3 Daniel Riek 2008-08-19 17:53:24 UTC
Product Management does not consider this a bug in RHEL4. RHEL5 virt installations give the correct command line.

SLES is not supported as a host.

Comment 4 RHEL Product and Program Management 2008-08-25 16:30:49 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.